<? if ( !defined("_INCLUDED_GLOBAL") ) exit;		// [Security]Allow_url_fopen = On ?>
<?

// 로그인되지 않았을 경우, 로그인 페이지로 이동
if ( !$AUTH['auth_m_no']) {
	movepage($nmpath.'/login.php');
}

$_member_2fa_info = member_2fa_info();

// 2단계 인증이 불필요할 경우 이동할 주소
$url = parse_url($_GET['back_url']);
if ($_GET['back_url'] && ! isset($url['scheme']))
{
	$back_url = stripslashes($_GET['back_url']);
} else
{
	$back_url = $G_SYS['URL_ROOT'] . '/index.php';
}	// if()

// [2025-11-18] 2단계 인증 사용하지 않을 경우, 메인 등으로 이동
if ($_member_2fa_info['m_2fa_isuse'] !== 'Y') {
	msg('로그인 2단계 인증을 사용하지 않고 있습니다.', 0);
	movepage($back_url);
}

// [2025-11-18] 2단계 인증이 등록된 경우, 재등록이 불필하므로 메인 등으로 이동
if (in_array($G['THISPAGE'], array('login_2fa_add.php', 'login_2fa_add_key.php'))) {
	if ($_member_2fa_info['m_2fa_code'] !== null) {
		msg('이미 등록된 2단계 인증자 정보가 있습니다.', 0);
		movepage($back_url);
	}
}

// [2025-11-18] 2단계 인증, 2단계 인증자 없을 때 등록으로 이동
if (in_array($G['THISPAGE'], array('login_2fa.php'))) {
	if ($_member_2fa_info['m_2fa_code'] === null) {
		msg('등록된 2단계 인증자 정보가 없습니다.', 0);
		if ($G_SYS['IS_MOBILE']) {
			// m/conf.inc.php 를 로딩하지 않아므로, 모바일 경로 직접 선언
			movepage($nmpath . '/' . $G_SYS['MOBILE_PATH'] . '/login_2fa_add.php?back_url=' . urlencode($_GET['back_url']));
		} else {
			movepage($nmpath . '/login_2fa_add.php?back_url=' . urlencode($_GET['back_url']));
		}
	}
}
?>